Subject: [bug#37277] [PATCHES] Thunar: Update to 1.8.9.

From: L p R n d n <[email-masked]>
Date: Thu, 12 Sep 2019 10:18:46 +0200

Hello,

Ludovic Courtès <[email-masked]> writes:

> L  p R n  d n    <[email-masked]> skribis:
>
>>>>From 49d9ed778206d6af039029298f0f8f9aa47171ae Mon Sep 17 00:00:00 2001
>> From: L  p R n  d n <[email-masked]>
>> Date: Mon, 19 Aug 2019 14:01:52 +0200
>> Subject: [PATCH 13/19] gnu: Thunar: Update to 1.8.9.
>>
>> * gnu/packages/xfce.scm (thunar): Update to 1.8.9.
>> [propagated-inputs] Add gtk+.
>> ---
>>  gnu/packages/xfce.scm | 7 +++++--
>>  1 file changed, 5 insertions(+), 2 deletions(-)
>>
>> diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
>> index b27e489678..db8387b9ad 100644
>> --- a/gnu/packages/xfce.scm
>> +++ b/gnu/packages/xfce.scm
>> @@ -641,7 +641,7 @@ like appearance, display, keyboard and mouse settings.")
>>  (define-public thunar
>>    (package
>>      (name "thunar")
>> -    (version "1.8.7")
>> +    (version "1.8.9")
>>      (source (origin
>>                (method url-fetch)
>>                (uri (string-append "http://archive.xfce.org/src/xfce/"
>> @@ -649,11 +649,14 @@ like appearance, display, keyboard and mouse settings.")
>>                                    "Thunar-" version ".tar.bz2"))
>>                (sha256
>>                 (base32
>> -                "0afkp528mwwa2m18m39mvw53qgaijyynrw9wwwiyxgjiczq3l0ry"))))
>> +                "1fah2d7v3a7fp28xa5wv896rap1iad9q9y04qchca09mq1x8wxbs"))))
>>      (build-system gnu-build-system)
>>      (native-inputs
>>       `(("pkg-config" ,pkg-config)
>>         ("intltool" ,intltool)))
>> +    (propagated-inputs
>> +     ;; Required by thunarx-3.pc
>> +     `(("gtk+" ,gtk+)))
>
> Hi!  We usually propagated in similar cases.  However, here that would
> lead to propagating all of gtk+ to the user’s profile, which is
> undesirable.  Furthermore, since thunar has only two dependents, it’s
> probably not a problem if we don’t propagate gtk+.
>
> WDYT?

I don't have enough knowledge about how this works to give a useful hint
here so I would probably just follow your advice. Yet I quickly tested without
propagated-inputs and it seems to work without trouble.
So here is the new patch.

> Thanks,
> Ludo’.

Thank you and have a nice day,

L  p R n  d n

>From f57c21a46a0cdf23085195e3645b4f1aae9e8cbd Mon Sep 17 00:00:00 2001
From: L  p R n  d n <[email-masked]>
Date: Mon, 19 Aug 2019 14:01:52 +0200
Subject: [PATCH] gnu: Thunar: Update to 1.8.9.

* gnu/packages/xfce.scm (thunar): Update to 1.8.9.
---
 gnu/packages/xfce.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index b27e489678..8ddb7ae8a7 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -641,7 +641,7 @@ like appearance, display, keyboard and mouse settings.")
 (define-public thunar
   (package
     (name "thunar")
-    (version "1.8.7")
+    (version "1.8.9")
     (source (origin
               (method url-fetch)
               (uri (string-append "http://archive.xfce.org/src/xfce/"
@@ -649,7 +649,7 @@ like appearance, display, keyboard and mouse settings.")
                                   "Thunar-" version ".tar.bz2"))
               (sha256
                (base32
-                "0afkp528mwwa2m18m39mvw53qgaijyynrw9wwwiyxgjiczq3l0ry"))))
+                "1fah2d7v3a7fp28xa5wv896rap1iad9q9y04qchca09mq1x8wxbs"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("pkg-config" ,pkg-config)
-- 
2.22.0